from django.shortcuts import render

EXTRA_HEADERS = '<meta name="p:domain_verify" content="b91d67cb075510218cbaf2146277c3cc" />\n<link rel="publickey" title="PGP Public Key" href="https://keybase.io/alopexc0de/key.asc" />'


def index(request):
    return render(
        request,
        "links/index.html",
        {
            "title": "c0defox.es",
            "author": "c0de",
            "favicon": "https://secure.gravatar.com/avatar/1e346a54257cf0a9932fcfc1e61c015d",
            "extra_headers": EXTRA_HEADERS,
            "alert": {"level": "warning", "data": "awoo :3"},
            "links": [
                {
                    "id": "1234567890",
                    "value": "https://example.com",
                    "title": "Link 1",
                    "bootstrap_icon_class": "telegram",
                },
                {
                    "id": "1234567890",
                    "value": "https://example.com",
                    "title": "Link 2",
                    "bootstrap_icon_class": "git",
                },
                {
                    "id": "1234567890",
                    "value": "https://example.com",
                    "title": "Link 3",
                    "bootstrap_icon_class": "discord",
                },
                {
                    "id": "1234567890",
                    "value": "https://example.com",
                    "title": "Link 4",
                    "bootstrap_icon_class": "mastodon",
                },
            ],
            "heading": {
                "link": "https://c0de.fox.pet",
                "main": "c0de",
                "secondary": "Some weird fox on the internet",
            },
            "footer": "I'm apparently unique enough to have a name that others don't; ask one of my known accounts if unsure.",
            "nav_links": [
                {
                    "value": "https://xn--l3h7012o.ws",
                    "title": "foxcloud",
                    "text": "🦊☁️",
                    "bootstrap_icon_class": ""
                },
                {
                    "value": "https://xn--l3h7012o.ws",
                    "title": "foxcloud",
                    "text": "🦊☁️",
                    "bootstrap_icon_class": ""
                },
                {
                    "value": "https://xn--l3h7012o.ws",
                    "title": "foxcloud",
                    "text": "🦊☁️",
                    "bootstrap_icon_class": ""
                },
            ],
        },
    )
